TOPDIR=.
include $(TOPDIR)/Makefile.config


all: dumps user_lib tests
# 
# Main targets
#

build: user_lib
	$(MAKE) build -C riscv_instructions/

dumps:
	$(MAKE) dumps -C riscv_instructions/
	mkdir -p ${TOPDIR}/target/dumps/
	find . -name '*.dump' -exec mv {} ${TOPDIR}/target/dumps/ \;

user_lib:
	$(MAKE) -C userlib/

tests: user_lib
	$(MAKE) tests -C riscv_instructions/
	mkdir -p ${TOPDIR}/target/guac/
	find . -name '*.guac' -exec mv {} ${TOPDIR}/target/guac/ \;

clean:
	$(MAKE) clean -C userlib/
	$(MAKE) clean -C riscv_instructions/
	$(RM) -rf $(TOPDIR)/target
	